f



Re: Error Compile 1.8.0 and 1.8.1-pre2 #3

took me a bit to get back to...

> Check `ulimit -c'.

returns: 0
 
> > the error specifically says: 'mkmf.rb:354: [BUG] Segmentation
> > Fault' if that helps.
> 
> Hmmm, only "false" line?
> What's your configure options?

./configure --prefix=/Programs/Ruby/1.8.1 \
            --exec-prefix=/Programs/Ruby/1.8.1 \
            --enable-shared \
            --with-sitedir=/Programs/Ruby/1.8.1/lib/site_ruby \
            --localstatedir=/Programs/Ruby/Variable \
            --sysconfdir=/Programs/Ruby/Settings

like i said, Gobo has non-standard FHS. is it looking for something it can't find?

i have a log of the ./configure output too, if that would help. let me know.

-t0

0
transami (959)
11/13/2003 1:14:34 AM
comp.lang.ruby 48886 articles. 0 followers. Post Follow

1 Replies
727 Views

Similar Articles

[PageSpeed] 14

Hi,

# Unfortunately, I don't have enough time this month, and will
# be absent from tonight through Sunday, and from 19 through
# 25.  So sorry that I won't be able to respond quickly.

At Thu, 13 Nov 2003 10:14:34 +0900,
T. Onoma wrote:
> > Check `ulimit -c'.
> 
> returns: 0

So you have to do `ulimit -c 100000', or unlimited instead of a
number.

> ./configure --prefix=/Programs/Ruby/1.8.1 \
>             --exec-prefix=/Programs/Ruby/1.8.1 \
>             --enable-shared \
>             --with-sitedir=/Programs/Ruby/1.8.1/lib/site_ruby \
>             --localstatedir=/Programs/Ruby/Variable \
>             --sysconfdir=/Programs/Ruby/Settings

# --exec-prefix and --with-sitedir seem unnecessary...

Try configure with CFLAGS='-O0 -ggdb -g3'.

And what version is your gcc?

> like i said, Gobo has non-standard FHS. is it looking for something it can't find?

Well, it shouldn't ...

-- 
Nobu Nakada

0
nobu.nokada (907)
11/13/2003 4:55:10 AM
Reply: